### Method

# Gio DesktopAppInfo get_locale_string

since: 2.56

#### Declaration

    char*
    g_desktop_app_info_get_locale_string (
      GDesktopAppInfo* info,
      const char* key
    )

#### Description

Looks up a localized string value in the keyfile backing `info` translated to the current locale.

The `key` is looked up in the “Desktop Entry” group.

Available since: 2.56

#### Parameters

`key`

  Type: `const char*`

  The key to look up.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

A newly allocated string, or `NULL` if the key is not found.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.